## paintitblack-lxqt-gfxboot 2015.12.29

=== themes/openSUSE/fonts/Makefile ===
BINDIR      := $(shell [ -x ../../../gfxboot-font ] && echo ../../../ )

GFXBOOT_FONT = $(BINDIR)gfxboot-font
KEYMAPCHARS  = $(BINDIR)bin/keymapchars

all: .ready

fonts: 16x16.fnt

.ready:
	@touch .ready

16x16.fnt: ../po/en.tr ../src/main.log
	cat ../po/*.tr ../help-*/*/*.html >tmp.txt
	$(GFXBOOT_FONT) -v -l 18 \
	-a 0x2022-0x2023 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`$(KEYMAPCHARS) ../keymaps/keymap.*.inc` \
	-t tmp.txt \
	-t ../src/main.log \
	-t ../data-install/languages \
	-f NachlieliCLM-Bold:size=14:c=0x590-0x5ff \
	-f KacstBook:size=12:c=0x600-0x6ff,0xfe70-0xfefc:dy=2 \
	-f MuktiNarrow:size=18:c=0x0981-0x09fa:bold=1 \
	-f lohit_hi:size=16:c=0x0901-0x0970:bold=1 \
	-f lohit_pa:size=15:c=0x0a01-0x0a74:bold=1:autohint=1 \
	-f lohit_gu:size=15:c=0x0a81-0x0af1:bold=1 \
	-f TSCu_Paranar:size=18:c=0x0b82-0x0bfa:dy=2:bold=1 \
	-f lklug:size=17:c=0x0d82-0x0df4:bold=1:dy=1 \
	-f Loma:size=13:c=0x0e01-0x0e7f:bold=0:dy=0 \
	-f Loma:size=17:c=0x0e81-0x0eff:bold=0:dy=-2 \
	-f KhmerOS_sys:size=16:c=0x1780-0x17f9:dy=-2 \
	-f DejaVuSans-Bold:size=14 \
	-f FZHeiTi:size=17:nobitmap=1:autohint=1 \
	-f gulim:size=17:bold=1:nobitmap=1:autohint=1 \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	rm -f .ready *~

=== debian/changelog ===
paintitblack-lxqt-gfxboot (2015.12.29) unstable; urgency=medium

  * new grey/black background  

 -- Alf Gaida <agaida@siduction.org>  Wed, 30 Dec 2015 01:26:23 +0100

paintitblack-lxqt-gfxboot (2015.08.01) unstable; urgency=medium

  * new next gfxboot package, completly reworked 

 -- Alf Gaida <agaida@siduction.org>  Sat, 08 Aug 2015 00:11:56 +0200

paintitblack-lxqt-gfxboot (2015.1.0) unstable; urgency=low

  * initial release

 -- Alf Gaida <agaida@siduction.org>  Fri, 07 Aug 2015 18:24:20 +0200

=== debian/control ===
Source: paintitblack-lxqt-gfxboot
Section: misc
Priority: extra
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends:
 debhelper (>= 9),
 cpio,
 gfxboot-dev (>= 4.5.1),
 imagemagick,
 inkscape,
 quilt (>= 0.46-7),
 ttf-dejavu-core,
 netpbm,
 libjpeg-progs,
 libfribidi-bin,
Standards-Version: 3.9.6
Homepage: http://gfxboot.sourceforge.net/
Vcs-Git: git://git.siduction.org/packages/siduction-repository/gfxboot-themes-siduction
Vcs-Browser: http://git.siduction.org/packages/siduction-repository/gfxboot-themes-siduction.git



Package: paintitblack-lxqt-gfxboot-core
Architecture: all
Depends: ${misc:Depends}
Recommends: paintitblack-lxqt-gfxboot (= ${source:Version})
Description: graphical boot logos for PaintItBlack lxqt
 boot logos for gfxboot compliant boot loaders. Currently, this includes
 grub-gfxboot and syslinux (all payloads).

Package: paintitblack-lxqt-gfxboot
Architecture: all
Depends: ${misc:Depends},
 gfxboot (>= 4.5.1),
 paintitblack-lxqt-gfxboot-core (= ${source:Version})
Recommends: gfxboot-dev
Description: tool to test and create graphical boot logos
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE=1

SHELL := sh -e

%:
	dh ${@} --with quilt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	### grub ###
	for _THEME in $$(cd grub && ls); do \
	    inkscape -z --export-width=800 --export-height=600 --export-dpi=72 \
	        --export-png=grub/$${_THEME}/background.png \
	        grub/$${_THEME}/background.svg; \
	    pngtopnm grub/$${_THEME}/background.png | cjpeg -optimize -quality 95 > grub/$${_THEME}/background.jpg; \
	    $(RM) grub/$${_THEME}/background.png; \
	    $(RM) grub/$${_THEME}/background.svg; \
	done
	cp -a themes build
	$(MAKE) -C build/openSUSE/help-install
	for _THEME in $$(cd build && ls); do \
		if [ "$${_THEME}" != "openSUSE" ]; then \
			inkscape -z \
				--export-width=800 \
				--export-height=600 \
				--export-dpi=72 \
				--export-png=build/$${_THEME}/data-install/welcome.png \
					build/$${_THEME}/data-install/welcome.svg; \
			pngtopnm build/$${_THEME}/data-install/welcome.png | cjpeg -optimize -quality 95 > build/$${_THEME}/data-install/welcome.jpg; \
			inkscape -z \
				--export-width=146 \
				--export-height=240 \
				--export-dpi=72 \
				--export-png=build/$${_THEME}/data-install/text.png \
					build/$${_THEME}/data-install/text.svg; \
			pngtopnm build/$${_THEME}/data-install/text.png | cjpeg -optimize -quality 95 > build/$${_THEME}/data-install/text.jpg; \
			inkscape -z \
				--export-width=800 \
				--export-height=600 \
				--export-dpi=72 \
				--export-png=build/$${_THEME}/data-install/back.png \
					build/$${_THEME}/data-install/back.svg; \
			pngtopnm build/$${_THEME}/data-install/back.png | cjpeg -optimize -quality 95 > build/$${_THEME}/data-install/back.jpg; \
			find build/$${_THEME} -name welcome.png | xargs rm -fv; \
			find build/$${_THEME} -name text.png | xargs rm -fv; \
			find build/$${_THEME} -name back.png | xargs rm -fv; \
			find build/$${_THEME} -name background.jpg | xargs rm -fv ;\
			find build/$${_THEME} -name \*.svg | xargs rm -fv; \
			$(MAKE) -C build/$${_THEME}; \
		fi; \
	done

override_dh_install:
	dh_install
	for _THEME in $$(cd build && ls); do \
		if [ "$${_THEME}" != "openSUSE" ]; then \
			PACKAGE="paintitblack-`echo $${_THEME} | tr [A-Z] [a-z]`"; \
			mkdir -p debian/$${PACKAGE}/usr/share/gfxboot/themes; \
			cp -a themes/openSUSE debian/$${PACKAGE}/usr/share/gfxboot/themes/$${_THEME}; \
			cd themes/$${_THEME}; \
			find . | cpio -dmpu --no-preserve-owner ../../debian/$${PACKAGE}/usr/share/gfxboot/themes/$${_THEME}; \
			cd -; \
			install -D -m 0644 build/$${_THEME}/bootlogo debian/$${PACKAGE}-core/etc/bootsplash/themes/$${_THEME}/cdrom/bootlogo; \
			/usr/share/gfxboot/bin/unpack_bootlogo debian/$${PACKAGE}-core/etc/bootsplash/themes/$${_THEME}/cdrom; \
			mkdir -p debian/$${PACKAGE}-core/etc/bootsplash/themes/$${_THEME}/bootloader; \
			cp -a build/$${_THEME}/message build/$${_THEME}/help-boot/*.hlp build/$${_THEME}/po/*.tr debian/$${PACKAGE}-core/etc/bootsplash/themes/$${_THEME}/bootloader; \
		fi; \
	done

override_dh_fixperms:
	dh_fixperms
	find . debian -name "*.xcf" | xargs chmod 0644

override_dh_builddeb:
	dh_builddeb  -- -Zxz -z9
